%define name    fluxbox
%define version 0.9.13
#%define release 1mdk
%define release	%mkrel 1

%define title     Fluxbox
%define summary   Windowmanager based on the original blackbox-code
%define style     Met-Anti-Flux-blue
%define _Xprefix  /usr/X11R6
%define _Xbindir  %_Xprefix/bin
%define _Xmandir  %_Xprefix/man
%define _Xlibdir  %_Xprefix/lib

# This is for the debug-flavor.
%define debug 0
%{?fluxbox_debug: %{expand: %%define debug 1}}
%if %debug
%define __os_install_post   %nil
%{expand: %%define optflags %optflags -g3}
%endif

Summary:          %summary
Name:             %name
Version:          %version
Release:          %release
Group:            Graphical desktop/Other
License:          MIT
URL:              http://fluxbox.sourceforge.net
Source:           http://prdownloads.sourceforge.net/%name/%name-%version.tar.bz2
Source1:          %name-menu_method.bz2
Source2:          %name-menu.bz2
Source3:          %name-icons.tar.bz2
Source4:          %name-%style.tar.bz2
Source6:          %name-artwiz-fonts.tar.bz2
Source10:         %name-splash.jpg
Buildrequires:    XFree86-devel
Requires:         X11R6-contrib
Prereq:           chkfontpath
BuildRoot:        %_tmppath/%{name}-%{version}-%{release}-buildroot

%description
Fluxbox is yet another windowmanager for X. It's a fork from the origi-
nal blackbox-0.61.1 code. Fluxbox looks like blackbox and handles
styles, colors, window placement and similar thing exactly like black-
box. So what's the difference between fluxbox and blackbox then? The
answer is: LOTS!

Have a look at the homepage for more info ;)


%prep

%setup -q
%setup -q -T -D -a3

%build
autoreconf

%configure2_5x \
    --bindir=%_Xbindir \
    --mandir=%_Xmandir \
    --enable-kde \
    --enable-imlib2 \
    --enable-xinerama \
    --with-menu=%_sysconfdir/X11/fluxbox/menu \
    --with-style=%_datadir/%name/styles/%style \
    --with-keys=%_datadir/%name/keys \
    --with-init=%_datadir/%name/init

# If you get problems with locales you can either install
# the locales it moans about or uncomment the following line.
#
cd nls; for i in $(seq 1 20); do make||true; done; cd -

%make


%install
%__rm -rf %buildroot

%makeinstall    bindir=%buildroot%_Xbindir \
                mandir=%buildroot%_Xmandir

# Since there might be a naming conflict with the blackbox bset-tools:
# We rename them :)
%__mv %buildroot%_Xbindir/bsetroot %buildroot%_Xbindir/bsetroot-%name

# icon
%__install -D -m 644 %{name}48.png %buildroot%_liconsdir/%name.png
%__install -D -m 644 %{name}32.png %buildroot%_iconsdir/%name.png
%__install -D -m 644 %{name}16.png %buildroot%_miconsdir/%name.png

# session file
%__install -d %buildroot%_sysconfdir/X11/wmsession.d
%__cat > %buildroot%_sysconfdir/X11/wmsession.d/16fluxbox << EOF
NAME=Fluxbox
ICON=fluxbox.png
EXEC=%_Xbindir/startfluxbox
DESC=%summary
SCRIPT:
exec %_Xbindir/startfluxbox
EOF

# menu
%__install -d %buildroot%_sysconfdir/menu-methods
bzcat %SOURCE1 > %buildroot%_sysconfdir/menu-methods/%name

%__install -d %buildroot%_menudir
bzcat %SOURCE2 > %buildroot/%_menudir/%name

# Artwiz fonts
%__install -d %buildroot%_Xlibdir/X11/fonts
%__tar xjf %SOURCE6 -C %buildroot%_Xlibdir/X11/fonts/

# mdk-style and background.
%__install -d %buildroot%_datadir/%name/{styles,backgrounds}
%__tar xjf %SOURCE4 -C %buildroot%_datadir/%name
%__sed -i "s,\@WALLPAPER@,%_datadir/%name/backgrounds/default.png," \
                                           %buildroot%_datadir/%name/styles/%style
%__sed -i "s,\@DATADIR\@,%_datadir/%name," %buildroot%_datadir/%name/styles/%style

cd %buildroot%_datadir/%name/backgrounds/
ln -s %_datadir/mdk/backgrounds/default.png default.png
cd -
%__install %SOURCE10 %buildroot%_datadir/%name/splash.jpg

# bzip2 manpages (should be automatic, dirty); lenny
%__bzip2 %buildroot%_Xmandir/man1/*.1


%post
# menu
if [ -x /usr/bin/update-menus ]; then
   /usr/bin/update-menus || true
else
   [ -d %_sysconfdir/X11/%name ] || %__install -d %_sysconfdir/X11/%name
   %_Xbindir/fluxbox-generate_menu -o %_sysconfdir/X11/%name/menu || true
fi

%make_session

#blackbox-alternatives
update-alternatives --install %_Xbindir/bsetroot bsetroot %_Xbindir/bsetroot-%name 20

#artwiz fontz
cd %_Xlibdir/X11/fonts/fluxbox-artwiz-fonts
/usr/X11R6/bin/mkfontdir
/usr/sbin/chkfontpath -q -a %_Xlibdir/X11/fonts/fluxbox-artwiz-fonts:unscaled


%postun
# menu
%clean_menus
%update_menus
%make_session

# Remove bsetroot-alternatives and artwizfonts from fontpath
if [ "$1" = 0 ]; then
    update-alternatives --remove bsetroot %_Xbindir/bsetroot-%name
    /usr/sbin/chkfontpath -q -r %_Xlibdir/X11/fonts/%name-artwiz-fonts:unscaled
fi


%clean
%__rm -rf %buildroot


%files
%defattr(0755,root,root,0755)
%_Xbindir/fbsetbg
%_Xbindir/bsetroot-fluxbox
%_Xbindir/fbrun
%_Xbindir/fluxbox
%_Xbindir/fluxbox-generate_menu
%_Xbindir/startfluxbox

%config(noreplace) %_sysconfdir/menu-methods/%name
%config(noreplace) %_sysconfdir/X11/wmsession.d/16%name

%defattr(0644,root,root,0755)

%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO

%_Xmandir/man1/*

%dir %_Xlibdir/X11/fonts/fluxbox-artwiz-fonts
%_Xlibdir/X11/fonts/fluxbox-artwiz-fonts/*.gz

%_menudir/%name

%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%dir %_datadir/%name

%_datadir/%name/init
%_datadir/%name/keys
%_datadir/%name/menu
%_datadir/%name/splash.jpg
%_datadir/%name/backgrounds/default.png
%_datadir/%name/styles/*
%_datadir/%name/pixmaps/*


%changelog
* Fri Jul 15 2005 Isenmann Daniel <daniel.isenmann@gmx.de> 0.9.13-1ise
- rebuild for Mandriva 10.1
- added imlib2 support

* Mon Jun 06 2005 Benjamin Lisci <benjamin@lisci.de> 0.9.13-1bli
- rebuild for 2005LE

* Sat May 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.13-1mdk
- 0.9.13

* Thu Mar 24 2005 Olivier Blin <oblin@mandrakesoft.com> 0.9.12-2mdk
- fix default style (use default.png instead of Mandrakelinux.png)

* Wed Jan 19 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.9.12-1mdk
- 0.9.12

* Wed Dec  8 2004 Olivier Blin <blino@mandrake.org> 0.9.11-1mdk
- 0.9.11

* Wed Oct  6 2004 Olivier Blin <blino@mandrake.org> 0.9.10-2mdk
- use sans-10 instead of sans-8 in default style
  (or else the font looks crappy in 0.9.10)

* Tue Sep 14 2004 Michael Scherer <misc@mandrake.org> 0.9.10-1mdk
- New release 0.9.10
- remove patch 0
- remove old nls stuff

* Tue Aug  3 2004 Olivier Blin <blino@mandrake.org> 0.9.9-4mdk
- use the new path for Mandrakelinux wallpaper

* Wed Jul 14 2004 Michael Scherer <misc@mandrake.org> 0.9.9-3mdk 
- rebuild for new gcc, patch from upstream

* Tue May 04 2004 Michael Scherer <misc@mandrake.org> 0.9.9-2mdk 
- fixed #7766

* Fri Apr 30 2004 Michael Scherer <misc@mandrake.org> 0.9.9-1mdk
- New release 0.9.9

* Wed Feb 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.8-1mdk
- 0.9.8

* Wed Jan 21 2004 David Baudens <baudens@mandrakesoft.com> 0.9.7-2mdk
- Fix wallpaper

* Sun Jan  4 2004 Han Boetes <han@linux-mandrake.com> 0.9.7-1mdk
- New release

* Tue Dec  9 2003 Han Boetes <han@klama.mandrake.org> 0.9.6-2mdk
- Remove require for XFree86 (found automatically)
- Add require for X11R6-contrib, fixes 6516, thanks Olivier Blin.

* Mon Nov 17 2003 Han Boetes <han@linux-mandrake.com> 0.9.6-1mdk
- Finaly a new release
- If somebody has a nice wallpaper (max 30kb) please let me know :)

* Sat Nov 15 2003 Han Boetes <han@linux-mandrake.com> 0.9.6-0.pre9_3mdk
- Really really fix the menu
  (After hints from Texstar <texstar@houston.rr.com>)

* Sun Oct 19 2003 Han Boetes <han@linux-mandrake.com> 0.9.6-0.pre9_2mdk
- Really fix the menu.

* Fri Sep 26 2003 Han Boetes <han@linux-mandrake.com> 0.9.6-0.pre9_1mdk
- Added a run entry to the menu, also fixed update-menu entry.

* Fri Sep 26 2003 Han Boetes <han@linux-mandrake.com> 0.9.6-0.pre9mdk
- New snap
- New style from Bionik, lets show some new posibilities here :) The old
  one didn't work properly anymore
- perl -> sed; idea pterjan.

* Mon Sep 15 2003 Han Boetes <han@linux-mandrake.com> 0.9.6-0.pre8mdk
- New Snapshot

* Sun Sep 14 2003 Han Boetes <han@linux-mandrake.com> 0.9.6-0.pre7mdk
- New snapshot

* Sat Sep 13 2003 Han Boetes <han@linux-mandrake.com> 0.9.6-0.pre6mdk
- New snapshot

* Thu Sep 11 2003 Han Boetes <han@linux-mandrake.com> 0.9.6-0.pre5mdk
- New snapshot
- startup and startfluxbox are now provided by fluxbox
- minor cleanups
- New wallpaper from Miark.

* Fri Aug 22 2003 Han Boetes <han@linux-mandrake.com> 0.9.5-1mdk
- Update to the latest release
- New wallpaper from miark, concentric3.png

* Sat Aug 16 2003 Han Boetes <han@linux-mandrake.com> 0.9.4-3mdk
- Added splash-screen
- Added fbsetbg from cvs, removed fluxbox-generate_menu.

* Sun Jul 27 2003 Han Boetes <han@linux-mandrake.com> 0.9.4-2mdk
- problems with default styles. Have to be fixed upstream as well.

* Thu Jul 10 2003 Han Boetes <han@linux-mandrake.com> 0.9.4-1mdk
- 0.9.3 never was released for mandrake, so I didn't have to change the
  wallpaper.

* Tue Jun 10 2003 Han Boetes <han@linux-mandrake.com> 0.9.3-1mdk
- New test-release
- nls has been fixed
- And another great wallpaper from Miark

* Fri May  9 2003 Han Boetes <han@linux-mandrake.com> 0.9.2-1mdk
- Finaly I now why the prereq for chkfontpath is required.
- New test release.
- New wallpaper from Miark.
- I didn't get nls working in this release, needs further testing.

* Sun Mar  2 2003 Han Boetes <han@linux-mandrake.com> 0.1.14-6mdk
- Forgot to include BuildRequires. Evil eye to mpol.
- Another cool wallpaper from miark.
  These rpms are gonna be collectors items.

* Sat Feb 22 2003 Han Boetes <han@linux-mandrake.com> 0.1.14-5mdk
- fluxbox-generate menu from cvs is much better
- debug simplified: add ``%fluxbox_debug 1'' to your .rpmmacros from now on

* Wed Feb 19 2003 Han Boetes <han@linux-mandrake.com> 0.1.14-4mdk
- Cleanup spec according to skel.spec
- Removed MDKbox picture for lawsuit reasons. booooooh
  http://www.xs4all.nl/~hanb/pictures/MDKbox.jpg
- New wallpaper: Thanks Miark <miark-linux@gardnerbusiness.com>
  If you want to have your wallpaper in this rpm, send it to me :)

* Thu Jan  2 2003 Han Boetes <han@linux-mandrake.com> 0.1.14-3mdk
- Rebuild without obsoleted libXft2-rpm.
- Fixed menu entry. Credits: Gtz Waschk.

* Sun Dec 22 2002 Han Boetes <han@linux-mandrake.com> 0.1.14-2mdk
- fluxbox does not depend on menu

* Sun Dec  8 2002 Han Boetes <han@linux-mandrake.com> 0.1.14-1mdk
- Bump: I am getting supersticious
- More Macros

* Sat Nov 30 2002 Han Boetes <han@linux-mandrake.com> 0.1.13-7mdk
- Added only missing patch from bugfix1: interlace-render

* Wed Nov 27 2002 Han Boetes <han@linux-mandrake.com> 0.1.13-6mdk
- Capitalized fluxbox-menu to coorparate with locales.
  as mentioned by Maxim Heijndijk <cchq@wanadoo.nl>
- Added a regenerate menu-entry

* Sun Nov 24 2002 Han Boetes <han@linux-mandrake.com> 0.1.13-5mdk
- macros for /usr/X11R6
- specified dirs owned by package
  credits to: Per yvind Karlsen <peroyvind@sintrax.net>
- Added `startup' file for {x,k,g}dm users
- Changed startfluxbox so it works with ~/.fluxbox/startup

* Sat Nov 23 2002 Han Boetes <han@linux-mandrake.com> 0.1.13-4mdk
- More elegant way to retrieve mdk-release
- Patches for OpenOffice and AA-fonts at startup from Simon Bowden.

* Fri Nov 22 2002 Han Boetes <han@linux-mandrake.com> 0.1.13-3mdk
- Finally added Xft2 support
- exit plist again, lets try a detailed %files-section

* Wed Nov 20 2002 Han Boetes <han@linux-mandrake.com> 0.1.13-2mdk
- Added patch to fix nls
- Use plist-script to check for changes in the package-list
- Clean up sh-code

* Sun Nov 17 2002 Han Boetes <han@linux-mandrake.com> 0.1.13-1mdk
- Bump

* Tue Sep 24 2002 Han Boetes <han@linux-mandrake.com> 0.1.12-3mdk
- Changed default style. Thanks Grimau

* Sun Sep 22 2002 Han Boetes <han@linux-mandrake.com> 0.1.12-2mdk
- Fix menu. Why does nobody notice this?
- update menu's after an upgrade
- Change default theme

* Fri Sep 13 2002 Han Boetes <han@linux-mandrake.com> 0.1.12-1mdk
- Bump to 0.1.1.12

* Tue Sep 10 2002 Han Boetes <han@linux-mandrake.com> 0.1.11-3mdk
- Applied bugfix2 patch (obsoletes nr.1)

* Mon Sep  9 2002 Han Boetes <han@linux-mandrake.com> 0.1.11-2mdk
- Added bugfix1 patch.

* Tue Sep  3 2002 Han Boetes <han@linux-mandrake.com> 0.1.11-1mdk
- Bump

* Wed Aug 28 2002 Han Boetes <han@linux-mandrake.com> 0.1.10-4mdk
- Under some circumstances grep can not be found.

* Thu Aug 15 2002 Laurent Culioli <laurent@pschit.net> 0.1.10-3mdk
- Rebuild with gcc3.2

* Wed Aug  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.1.10-2mdk
- gcc 3.2 build

* Sun Jul 14 2002 Han Boetes <han@mijncomputer.nl> 0.1.10-1mdk
- Bump!

* Mon Jun  3 2002 Han Boetes <han@mijncomputer.nl> 0.1.9-4mdk
- Fixes for menudrake. Thanks Grimau ;)

* Mon Jun  3 2002 Han Boetes <han@mijncomputer.nl> 0.1.9-3mdk
- Applied buxfix-patch2

* Tue May 28 2002 Han Boetes <han@mijncomputer.nl> 0.1.9-2mdk
- Bump version
- Cancelled changes tested on 0.1.9-1mdk

* Wed May  8 2002 Han Boetes <han@mijncomputer.nl> 0.1.8-5mdk
- Removed locales, fluxbox doesn't use them
- Profilactic/Cosmetic cleanups

* Mon May 06 2002 Han Boetes <han@mijncomputer.nl> 0.1.8-4mdk
- fix in %postun for rpm -U: bsetbg-alternatives not removed
        anymore -- Credits flepied

* Sat May 03 2002 Han Boetes <han@mijncomputer.nl> 0.1.8-3mdk
- Applied buxfix-patch2
- Enable Xinerama

* Fri Apr 27 2002 Han Boetes <han@mijncomputer.nl> 0.1.8-2mdk
- Applied bugxfix-patch1

* Fri Apr 19 2002 Han Boetes <han@mijncomputer.nl> 0.1.8-1mdk
- Bump to 0.1.8

* Sat Mar  9 2002 Han Boetes <han@mijncomputer.nl> 0.1.7-3mdk
- Applied buxfix-patch1

* Tue Mar  5 2002 Han Boetes <han@mijncomputer.nl> 0.1.7-2mdk
- Updated startfluxbox to 0.1.7
- Added DEBUG flavor.

* Fri Mar  1 2002 Han Boetes <han@mijncomputer.nl> 0.1.7-1mdk
- Version bump.

* Tue Jan 29 2002 Han Boetes <han@mijncomputer.nl> 0.1.6-3mdk
- Applied buxfix-patch2
- convert icons(lenny)

* Fri Jan 12 2002 Han Boetes <han@mijncomputer.nl> 0.1.6-2mdk
- Replaced 2 patches with elegant perl search & replace -- Credits Dopey
- Include original menu generator in /usr/share/fluxbox
- Applied patch from author.
- Included nice icons from aleczapka.
- Little menu fixes.

* Fri Jan 11 2002 Han Boetes <han@mijncomputer.nl> 0.1.6-1mdk
- Bump version.

* Thu Jan 10 2002 Han Boetes <han@mijncomputer.nl> 0.1.5-5mdk
- Added kde-support. No libraries needed for that.
- Changed icons method.
- More spec cleanups.

* Tue Jan  1 2002 Han Boetes <han@mijncomputer.nl> 0.1.5-4mdk
- Fixed startup commands.

* Sun Dec 30 2001 Han Boetes <han@mijncomputer.nl> 0.1.5-3mdk
- More clean-ups
- Fixed menusystem. No it was not broken, It just doesn't work as user.
- First run will add ~/.fluxbox so setting will be saved.
- Update-alternatives because there is no alternative.
- Added groovy Artwiz fonts

* Sat Dec 29 2001 Han Boetes <han@mijncomputer.nl> 0.1.5-2mdk
- Applied a fix for bbtools; will be included in 0.1.6.
- Added menu system.
- I didn't add the update-alternatives system yet. Gotta get positive feedback first.

* Fri Dec 28 2001 Han Boetes <han@mijncomputer.nl> 0.1.5-1mdk
- Initial build

# end of file
